> For the complete documentation index, see [llms.txt](https://docs.pixiebrix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pixiebrix.com/release-notes/release-notes-archive/release-1.8.4.md).

# Release 1.8.4

### ✨ Enhancements

* The PixieBrix sidebar is not available on certain Chrome-restricted URLs. Clicking on the PixieBrix icon in the Chrome Extensions Toolbar will now show an informative popover if the user is on a restricted URL (#[6947](https://github.com/pixiebrix/pixiebrix-extension/pull/6948))
* Adds warning in the Page Editor if the Chrome DevTools are in vertical orientation (#[6951](https://github.com/pixiebrix/pixiebrix-extension/pull/6952))
* Automatically inject PixieBrix Extension on existing tabs after an installation or update (#[6548](https://github.com/pixiebrix/pixiebrix-extension/pull/6851))
* Adds a new Home Pane to the Page Editor when no mod is selected. This pane includes useful links and instructions to help developers get started creating mods (#[6967](https://github.com/pixiebrix/pixiebrix-extension/pull/6968))
* When duplicating a mod `(Copy)` is now added to the suggested mod name by default (#[6943](https://github.com/pixiebrix/pixiebrix-extension/pull/7012))
* When configuring bricks in the Page Editor, the field labels are now guaranteed to be in Start Case (#[7020](https://github.com/pixiebrix/pixiebrix-extension/pull/7020))

### 🐛 Bug Fixes

* Fixes a race condition that can occur when a user installs the Extension after clicking a mod activation link. If there are integrations to configure, the integrations will now be available immediately (#[6905](https://github.com/pixiebrix/pixiebrix-extension/pull/6938))
* Fixes tracing for pipeline arguments to user-defined bricks. Previously pipeline arguments would be run with a fresh runId but the same extensionId causing those bricks to appear to PixieBrix tracing as if they were a new starter brick run (#[6998](https://github.com/pixiebrix/pixiebrix-extension/pull/6998))
* Fixes issue where stale results would show from deeply nested pipelines where the parent pipeline hadn't started executing yet (#[6998](https://github.com/pixiebrix/pixiebrix-extension/pull/6998))
* Fixes issue where the `onSubmit` on a Custom Form that had a paragraph field with `submitOnEnter` toggled on was not passing the paragraph text to the onSubmit handler (#[7008](https://github.com/pixiebrix/pixiebrix-extension/issues/7008))
* Launching a temporary sidebar panel now closes the Mod Launcher if it was open (#[7013](https://github.com/pixiebrix/pixiebrix-extension/pull/7018))

### 🧱 New/Updated Bricks

* The `Identity` brick has been updated to work with non-object values. This brick should be used instead of the `JQ` or `JavaScript` bricks for constructing a value from other values (#[7005](https://github.com/pixiebrix/pixiebrix-extension/pull/7005))
* The `Custom Form` brick now supports an optional "onSubmit" handler. Developers can add bricks that are triggered onSubmit, and can use the submitted values of the form as inputs to those bricks (#[6959](https://github.com/pixiebrix/pixiebrix-extension/pull/6960))

### 🎨 User Experience

* The previously experiemental `Variable Popover` is now live! When adding/updating a variable in a brick, a popover will appear making it easier for developers to find the right variable. This feature can be disabled in the Extension Console under Settings. (#[6319](https://github.com/pixiebrix/pixiebrix-extension/pull/6376))
* The legacy Google Sheets File Picker has been dropped. This simplifies working with Google Sheets as all mods must now use the Google Drive integration instead. We've also added an error message in the Page Editor with a documentation link to guide developers in migrating to the Google Drive integration (#[6906](https://github.com/pixiebrix/pixiebrix-extension/pull/6953), #[6907](https://github.com/pixiebrix/pixiebrix-extension/pull/7017))


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pixiebrix.com/release-notes/release-notes-archive/release-1.8.4.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
